# Uses of Enum
org.eclipse.birt.chart.model.attribute.DataPointComponentType

Packages that use DataPointComponentType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of DataPointComponentType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type DataPointComponentType
Modifier and Type
Field
Description
`static final List<DataPointComponentType>`
DataPointComponentType.`VALUES`
A public read-only list of all the ' Data Point Component Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return DataPointComponentType
Modifier and Type
Method
Description
`static DataPointComponentType`
DataPointComponentType.`get(int value)`
Returns the 'Data Point Component Type' literal with the specified integer value.
`static DataPointComponentType`
DataPointComponentType.`get(String literal)`
Returns the 'Data Point Component Type' literal with the specified literal value.
`static DataPointComponentType`
DataPointComponentType.`getByName(String name)`
Returns the 'Data Point Component Type' literal with the specified name.
`DataPointComponentType`
DataPointComponent.`getType()`
Returns the value of the 'Type' attribute.
`static DataPointComponentType`
DataPointComponentType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DataPointComponentType[]`
DataPointComponentType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type DataPointComponentType
Modifier and Type
Method
Description
`void`
DataPointComponent.`setType(DataPointComponentType value)`
Sets the value of the '`Type`' attribute.

## Uses of DataPointComponentType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return DataPointComponentType
Modifier and Type
Method
Description
`DataPointComponentType`
AttributeFactoryImpl.`createDataPointComponentTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DataPointComponentType`
AttributeFactoryImpl.`createDataPointComponentTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`DataPointComponentType`
DataPointComponentImpl.`getType()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type DataPointComponentType
Modifier and Type
Method
Description
`static final DataPointComponent`
DataPointComponentImpl.`create(DataPointComponentType dpct, FormatSpecifier fs)`
A convenience methods provided to create an initialized DataPointComponent instance NOTE: Manually written
`void`
DataPointComponentImpl.`setType(DataPointComponentType newType)`